#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 taffybar
version:              4.0.0
visibility:           public
id:                   taffybar-4.0.0-JRe9Ge9Ikhy5rVXpmdmRK
key:                  taffybar-4.0.0-JRe9Ge9Ikhy5rVXpmdmRK
license:              BSD-3-Clause
maintainer:           IvanMalison@gmail.com
author:               Ivan Malison
homepage:             http://github.com/taffybar/taffybar
synopsis:             A desktop bar similar to xmobar, but with more GUI
category:             System
abi:                  d78a9ca841f1f20b17a5ee922f5cecc2
exposed:              True
exposed-modules:
    System.Taffybar System.Taffybar.Auth System.Taffybar.Context
    System.Taffybar.DBus System.Taffybar.DBus.Toggle
    System.Taffybar.Example System.Taffybar.Hooks
    System.Taffybar.Information.Battery System.Taffybar.Information.CPU
    System.Taffybar.Information.CPU2 System.Taffybar.Information.Chrome
    System.Taffybar.Information.Crypto
    System.Taffybar.Information.DiskIO
    System.Taffybar.Information.EWMHDesktopInfo
    System.Taffybar.Information.MPRIS2
    System.Taffybar.Information.Memory
    System.Taffybar.Information.Network
    System.Taffybar.Information.SafeX11
    System.Taffybar.Information.StreamInfo
    System.Taffybar.Information.X11DesktopInfo
    System.Taffybar.Information.XDG.Protocol
    System.Taffybar.LogFormatter System.Taffybar.SimpleConfig
    System.Taffybar.Support.PagerHints System.Taffybar.Util
    System.Taffybar.Widget System.Taffybar.Widget.Battery
    System.Taffybar.Widget.CPUMonitor
    System.Taffybar.Widget.CommandRunner System.Taffybar.Widget.Crypto
    System.Taffybar.Widget.DiskIOMonitor
    System.Taffybar.Widget.FSMonitor
    System.Taffybar.Widget.FreedesktopNotifications
    System.Taffybar.Widget.Generic.AutoSizeImage
    System.Taffybar.Widget.Generic.ChannelGraph
    System.Taffybar.Widget.Generic.ChannelWidget
    System.Taffybar.Widget.Generic.DynamicMenu
    System.Taffybar.Widget.Generic.Graph
    System.Taffybar.Widget.Generic.Icon
    System.Taffybar.Widget.Generic.PollingBar
    System.Taffybar.Widget.Generic.PollingGraph
    System.Taffybar.Widget.Generic.PollingLabel
    System.Taffybar.Widget.Generic.VerticalBar
    System.Taffybar.Widget.Layout System.Taffybar.Widget.MPRIS2
    System.Taffybar.Widget.NetworkGraph System.Taffybar.Widget.SNITray
    System.Taffybar.Widget.SimpleClock
    System.Taffybar.Widget.SimpleCommandButton
    System.Taffybar.Widget.Text.CPUMonitor
    System.Taffybar.Widget.Text.MemoryMonitor
    System.Taffybar.Widget.Text.NetworkMonitor
    System.Taffybar.Widget.Util System.Taffybar.Widget.Weather
    System.Taffybar.Widget.Windows System.Taffybar.Widget.Workspaces
    System.Taffybar.Widget.WttrIn System.Taffybar.Widget.XDGMenu.Menu
    System.Taffybar.Widget.XDGMenu.MenuWidget
    System.Taffybar.WindowIcon

hidden-modules:
    Paths_taffybar System.Taffybar.DBus.Client.MPRIS2
    System.Taffybar.DBus.Client.Params
    System.Taffybar.DBus.Client.UPower
    System.Taffybar.DBus.Client.UPowerDevice
    System.Taffybar.DBus.Client.Util

import-dirs:          /usr/lib/ghc-9.0.2/site-local/taffybar-4.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/taffybar-4.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/taffybar
hs-libraries:         HStaffybar-4.0.0-JRe9Ge9Ikhy5rVXpmdmRK
extra-libraries:
    gtk-3 gdk-3 z pangocairo-1.0 pango-1.0 harfbuzz atk-1.0
    cairo-gobject cairo gdk_pixbuf-2.0 gio-2.0 gobject-2.0 glib-2.0

include-dirs:
    /usr/include/gtk-3.0 /usr/include/pango-1.0 /usr/include/glib-2.0
    /usr/lib/glib-2.0/include /usr/include/sysprof-4
    /usr/include/harfbuzz /usr/include/freetype2 /usr/include/libpng16
    /usr/include/libmount /usr/include/blkid /usr/include/fribidi
    /usr/include/cairo /usr/include/pixman-1
    /usr/include/gdk-pixbuf-2.0 /usr/include/gio-unix-2.0
    /usr/include/cloudproviders /usr/include/atk-1.0
    /usr/include/at-spi2-atk/2.0 /usr/include/at-spi-2.0
    /usr/include/dbus-1.0 /usr/lib/dbus-1.0/include

depends:
    ConfigFile-1.1.4-JshfXwQqJjxKccBSSauOKh
    HStringTemplate-0.8.8-1K2Ry3cACCM87CW5LEvV8M
    X11-1.10.3-7zBAfsIL85sJKAyVO3fFRL
    aeson-2.1.1.0-Jlf7L9AdpxzK6AAKzor6O5
    ansi-terminal-0.11.4-FN2r9KuIPYUCD6JsC0iQtn base-4.15.1.0
    broadcast-chan-0.2.1.2-4f1Mq5xfdHPClQCeqG8Qnr bytestring-0.10.12.1
    conduit-1.3.4.3-BEk8GrU1p2NKLMcUStnlCO containers-0.6.4.1
    data-default-0.7.1.1-BkZarJ3J3008hHF2JOuYeW
    dbus-1.2.22-6d6UIjNGLjXShW1Ea20HL
    dbus-hslogger-0.1.0.1-9Udqi5BBCgn3BXGqKoc91c directory-1.3.6.2
    dyre-0.9.1-B9ZvWqC9u51JI4mAo5zzEH
    either-5.0.2-1Fh6vVlYlZO9ZTHc1kDh1
    enclosed-exceptions-1.0.3-HGU7xkl98xtBBdcw8ddEsU filepath-1.4.2.1
    gi-cairo-1.0.27-LFC5IwqSSvY8RJLS1XPEkF
    gi-cairo-connector-0.1.1-AKZTvOG4nVW8QLiA6V2Fva
    gi-cairo-render-0.1.2-5ZNgFwUXCE78YcoFwNsaWD
    gi-gdk-3.0.25-5e55euXJlX1KUdWpw5FNLw
    gi-gdkpixbuf-2.0.29-AKDkMOHhLySHnnZOy7VqeY
    gi-gdkx11-3.0.12-HUd0X16REyJ31fSXS070tE
    gi-glib-2.0.27-7nlQIUY1UesCt3FfW1y1du
    gi-gtk-3.0.38-FDqsaZEjQfmKBgTopO7f6Q
    gi-gtk-hs-0.3.13-Hay8HVgXQZ6BkUBwJdTXYu
    gi-pango-1.0.27-746ZAoAH4AzDMtP5dBzYhw
    gtk-sni-tray-0.1.8.1-BLwGj4f1OCO2PHlI0GBQZX
    gtk-strut-0.1.3.2-6WLK6Np7y50Isk85UKZ1cu
    haskell-gi-0.26.3-8YE3TaYFRGOLiT9qrUUZdX
    haskell-gi-base-0.26.3-F9RrvzwFZ6b9FvkaVvE8dw
    hslogger-1.3.1.0-69uQh1TQ5Hx1iA4qZWc2K3
    http-client-0.7.13.1-D7ejEdtSJBKKAZ4mT3iRFu
    http-client-tls-0.3.6.1-GloMr5o7xEbBoN70TjJuYU
    http-conduit-2.3.8-8UpOh5PGIySEU8W4RAonOx
    http-types-0.12.3-ARj7iE9gKPrJHH42lHSzbl
    multimap-1.2.1-9JxmWLNMcxQ1AJJqmV9wuZ
    old-locale-1.0.0.7-B94o3sNLYrV8oE3WO2rqHh parsec-3.1.14.0
    process-1.6.13.2 rate-limit-1.4.3-85YmVCfT47Z7hrGUe8KO44
    regex-compat-0.95.2.1-itFB4fXPjn9OuocZGgbix
    safe-0.3.19-2aVM1fCfxX88jnlVeNbd8Q
    scotty-0.12.1-ENXFDxoIqqQAjxfN9FssI1
    split-0.2.3.5-DFOo9TpN8prKoZcDr0LuHI
    status-notifier-item-0.3.1.0-ENvt7mdYksvH704wNYn5qC stm-2.5.0.0
    template-haskell-2.17.0.0 text-1.2.5.0 time-1.9.3
    time-locale-compat-0.1.1.5-1snbmhWP0619voIlJd9qOd
    time-units-1.0.0-D1nYXpAWCQ2FSIdA8ibzEx transformers-0.5.6.2
    transformers-base-0.4.6-8SVx9iLFz4dCZz7fjEXm7T
    tuple-0.3.0.2-CZcYSxbpkXU77DCRZLhjNr unix-2.7.2.2
    utf8-string-1.0.2-9eFA57BgKXNHtjvfuIOq9f
    xdg-basedir-0.2.2-DeGg1ryr7ndmwRYCQYweT
    xdg-desktop-entry-0.1.1.1-1C69O8XpnWo2AQxXE3OhgM
    xml-1.3.14-6hlhhPBptprHwK7nsE7OzM
    xml-helpers-1.0.0-73lIPKak9z4HTtsjqaltEq
    xmonad-0.17.1-1V9wvQmusV1DO6HsWNlDnn

haddock-interfaces:   /usr/share/doc/taffybar/html/taffybar.haddock
haddock-html:         /usr/share/doc/taffybar/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

